import type { NobjcObject } from "objc-js";
import type { _NSAccessibility } from "./NSAccessibility.js";
import type { _NSDrawerDelegate } from "./NSDrawerDelegate.js";
import type { _NSResponder } from "./NSResponder.js";
import type { _NSView } from "./NSView.js";
import type { _NSWindow } from "./NSWindow.js";
import type { CGSize } from "../structs/CGSize.js";
import type { NSRectEdge } from "../Foundation/NSRectEdge.js";
export declare class _NSDrawer extends _NSResponder {
    static alloc(): _NSDrawer;
    static new(): _NSDrawer;
    init(): _NSDrawer;
    initWithContentSize$preferredEdge$(contentSize: CGSize, edge: NSRectEdge): _NSDrawer;
    open(): void;
    openOnEdge$(edge: NSRectEdge): void;
    close(): void;
    open$(sender: NobjcObject | null): void;
    close$(sender: NobjcObject | null): void;
    toggle$(sender: NobjcObject | null): void;
    parentWindow(): _NSWindow | null;
    setParentWindow$(value: _NSWindow | null): void;
    contentView(): _NSView | null;
    setContentView$(value: _NSView | null): void;
    preferredEdge(): NSRectEdge;
    setPreferredEdge$(value: NSRectEdge): void;
    delegate(): _NSDrawerDelegate | null;
    setDelegate$(value: _NSDrawerDelegate | null): void;
    state(): number;
    edge(): NSRectEdge;
    contentSize(): CGSize;
    setContentSize$(value: CGSize): void;
    minContentSize(): CGSize;
    setMinContentSize$(value: CGSize): void;
    maxContentSize(): CGSize;
    setMaxContentSize$(value: CGSize): void;
    leadingOffset(): number;
    setLeadingOffset$(value: number): void;
    trailingOffset(): number;
    setTrailingOffset$(value: number): void;
}
export interface _NSDrawer extends _NSAccessibility {
}
